webpackJsonp([13],{

/***/ 340:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "LineStationPageModule", function() { return LineStationPageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(43);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__line_station__ = __webpack_require__(358);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



var LineStationPageModule = /** @class */ (function () {
    function LineStationPageModule() {
    }
    LineStationPageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["I" /* NgModule */])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__line_station__["a" /* LineStationPage */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["f" /* IonicPageModule */].forChild(__WEBPACK_IMPORTED_MODULE_2__line_station__["a" /* LineStationPage */]),
            ],
        })
    ], LineStationPageModule);
    return LineStationPageModule;
}());

//# sourceMappingURL=line-station.module.js.map

/***/ }),

/***/ 358:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return LineStationPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(43);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__models_station__ = __webpack_require__(226);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__providers__ = __webpack_require__(58);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};





/**
 * Generated class for the LineStationPage page.
 *
 * See https://ionicframework.com/docs/components/#navigation for more info on
 * Ionic pages and navigation.
 */
var LineStationPage = /** @class */ (function () {
    function LineStationPage(navCtrl, loadingCtrl, navParams, stations) {
        var _this = this;
        this.navCtrl = navCtrl;
        this.loadingCtrl = loadingCtrl;
        this.navParams = navParams;
        this.stations = stations;
        this.currentStations = [];
        this.currentLine = this.navParams.data.line;
        this.loader = this.loadingCtrl.create({
            content: "正在加载",
        });
        this.loader.present();
        this.stations.query({ 'per-page': 100, 'sort': 'id', 'StationSearch[line_id]': this.currentLine.id }).subscribe(function (response) {
            _this.loader.dismiss();
            for (var _i = 0, _a = response.items; _i < _a.length; _i++) {
                var station = _a[_i];
                _this.currentStations.push(new __WEBPACK_IMPORTED_MODULE_2__models_station__["a" /* Station */](station));
            }
            console.log(_this.currentStations);
        }, function (error) {
            _this.loader.dismiss();
            console.log(error);
        });
    }
    LineStationPage.prototype.ionViewDidLoad = function () {
        console.log('ionViewDidLoad LineStationPage');
    };
    LineStationPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["m" /* Component */])({
            selector: 'page-line-station',template:/*ion-inline-start:"/Users/lonestone/Documents/apps/subway/src/pages/line-station/line-station.html"*/'<!--\n  Generated template for the LineStationPage page.\n\n  See http://ionicframework.com/docs/components/#navigation for more info on\n  Ionic pages and navigation.\n-->\n<ion-header>\n\n  <ion-navbar>\n    <ion-title>{{currentLine.name}}站点</ion-title>\n    <ion-buttons end>\n      <button ion-button icon-start [navPush]="\'ReportCreatePage\'">\n        <ion-icon name="create"></ion-icon> 上报\n      </button>\n    </ion-buttons>\n  </ion-navbar>\n\n</ion-header>\n\n\n<ion-content>\n  <ion-list>\n    <button ion-item *ngFor="let station of currentStations" [navPush]="\'StationPage\'" [navParams]="{station: station}">\n      {{ station.name }}\n    </button>\n  </ion-list>\n</ion-content>\n'/*ion-inline-end:"/Users/lonestone/Documents/apps/subway/src/pages/line-station/line-station.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["k" /* NavController */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["g" /* LoadingController */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["l" /* NavParams */],
            __WEBPACK_IMPORTED_MODULE_3__providers__["g" /* Stations */]])
    ], LineStationPage);
    return LineStationPage;
}());

//# sourceMappingURL=line-station.js.map

/***/ })

});
//# sourceMappingURL=13.js.map