webpackJsonp([0],{

/***/ 346:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "ReportCreatePageModule", function() { return ReportCreatePageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(43);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__report_create__ = __webpack_require__(365);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



var ReportCreatePageModule = /** @class */ (function () {
    function ReportCreatePageModule() {
    }
    ReportCreatePageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["I" /* NgModule */])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__report_create__["a" /* ReportCreatePage */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["f" /* IonicPageModule */].forChild(__WEBPACK_IMPORTED_MODULE_2__report_create__["a" /* ReportCreatePage */]),
            ],
        })
    ], ReportCreatePageModule);
    return ReportCreatePageModule;
}());

//# sourceMappingURL=report-create.module.js.map

/***/ }),

/***/ 365:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return ReportCreatePage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(43);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__angular_forms__ = __webpack_require__(16);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__providers__ = __webpack_require__(58);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__ionic_native_camera__ = __webpack_require__(224);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__models_report__ = __webpack_require__(366);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};






/**
 * Generated class for the ReportCreatePage page.
 *
 * See https://ionicframework.com/docs/components/#navigation for more info on
 * Ionic pages and navigation.
 */
var ReportCreatePage = /** @class */ (function () {
    function ReportCreatePage(reports, viewCtrl, navCtrl, toastCtrl, loadingCtrl, formBuilder, camera, navParams) {
        var _this = this;
        this.reports = reports;
        this.viewCtrl = viewCtrl;
        this.navCtrl = navCtrl;
        this.toastCtrl = toastCtrl;
        this.loadingCtrl = loadingCtrl;
        this.formBuilder = formBuilder;
        this.camera = camera;
        this.navParams = navParams;
        this.images = [];
        this.form = formBuilder.group({
            mobile: ['', __WEBPACK_IMPORTED_MODULE_2__angular_forms__["f" /* Validators */].required],
            remark: ['', __WEBPACK_IMPORTED_MODULE_2__angular_forms__["f" /* Validators */].required],
        });
        // Watch the form for changes, and
        this.form.valueChanges.subscribe(function (v) {
            _this.isReadyToSave = _this.form.valid;
        });
        this.loader = this.loadingCtrl.create({
            content: "正在加载",
        });
    }
    ReportCreatePage.prototype.getPicture = function () {
        var _this = this;
        this.camera.getPicture({
            quality: 80,
            destinationType: this.camera.DestinationType.DATA_URL,
            encodingType: this.camera.EncodingType.JPEG,
            mediaType: this.camera.MediaType.PICTURE,
            correctOrientation: true,
        }).then(function (data) {
            _this.images.push('data:image/jpg;base64,' + data);
        }, function (err) {
            alert('Unable to take photo');
        });
    };
    ReportCreatePage.prototype.deletePicture = function (image) {
        var index = this.images.indexOf(image);
        this.images.splice(index, 1);
    };
    ReportCreatePage.prototype.ionViewDidLoad = function () {
        console.log('ionViewDidLoad ReportCreatePage');
    };
    /**
     * The user cancelled, so we dismiss without sending data back.
     */
    ReportCreatePage.prototype.cancel = function () {
        this.viewCtrl.dismiss();
    };
    /**
     * The user is done and wants to create the item, so return it
     * back to the presenter.
     */
    ReportCreatePage.prototype.submit = function () {
        var _this = this;
        if (!this.form.valid) {
            return;
        }
        this.loader.present();
        this.report = new __WEBPACK_IMPORTED_MODULE_5__models_report__["a" /* Report */](this.form.value);
        this.report.images = this.images;
        this.reports.add(this.report).subscribe(function (response) {
            _this.loader.dismiss();
            var toast = _this.toastCtrl.create({
                message: '感谢您的上报，我们将尽快核实处理。',
                duration: 3000,
                position: 'middle'
            });
            toast.present();
            _this.viewCtrl.dismiss();
        }, function (error) {
            _this.loader.dismiss();
            console.log(error);
            var toast = _this.toastCtrl.create({
                message: '发生了错误，请重试或者联系我们。',
                duration: 3000,
                position: 'middle'
            });
            toast.present();
        });
    };
    ReportCreatePage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["m" /* Component */])({
            selector: 'page-report-create',template:/*ion-inline-start:"/Users/lonestone/Documents/apps/subway/src/pages/report-create/report-create.html"*/'<!--\n  Generated template for the ReportCreatePage page.\n\n  See http://ionicframework.com/docs/components/#navigation for more info on\n  Ionic pages and navigation.\n-->\n<ion-header>\n\n  <ion-navbar>\n    <ion-title>我要上报</ion-title>\n    <!-- <ion-buttons start>\n      <button ion-button (click)="cancel()">\n        <span color="primary" showWhen="ios">取消</span>\n        <ion-icon name="md-close" showWhen="android,windows"></ion-icon>\n      </button>\n    </ion-buttons> -->\n    <ion-buttons end>\n      <button ion-button (click)="submit()" [disabled]="!isReadyToSave" strong>\n        <span color="primary" showWhen="ios">提交</span>\n        <ion-icon name="md-checkmark" showWhen="core,android,windows"></ion-icon>\n      </button>\n    </ion-buttons>\n  </ion-navbar>\n\n</ion-header>\n\n\n<ion-content>\n  <form *ngIf="form" [formGroup]="form" (ngSubmit)="submit()">\n    <ion-grid class="publish-photo">\n        <ion-row>\n            <ion-col col-4 *ngFor="let image of images">\n                <div class="ion-img">\n                    <img [src]="image" alt="">\n                    <!-- <div class="title">主图</div> -->\n                    <ion-icon name="close-circle" class="delete" (click)="deletePicture(image)"></ion-icon>\n                </div>\n            </ion-col>\n            <ion-col col-4 *ngIf="images.length<10">\n                <button type="button" ion-button color="light" class="upload-btn" (click)="getPicture()">\n                  <ion-icon name="md-add"></ion-icon>\n                  <p>上传照片</p>\n              </button>\n            </ion-col>\n        </ion-row>\n    </ion-grid>\n    <ion-list>\n      <ion-item>\n        <ion-input type="text" placeholder="手机号码" formControlName="mobile"></ion-input>\n      </ion-item>\n      <ion-item>\n        <ion-textarea type="text" rows="5" placeholder="说明信息" formControlName="remark"></ion-textarea>\n      </ion-item>\n    </ion-list>\n  </form>\n</ion-content>'/*ion-inline-end:"/Users/lonestone/Documents/apps/subway/src/pages/report-create/report-create.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_3__providers__["e" /* Reports */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["p" /* ViewController */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["k" /* NavController */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["o" /* ToastController */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["g" /* LoadingController */],
            __WEBPACK_IMPORTED_MODULE_2__angular_forms__["a" /* FormBuilder */],
            __WEBPACK_IMPORTED_MODULE_4__ionic_native_camera__["a" /* Camera */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["l" /* NavParams */]])
    ], ReportCreatePage);
    return ReportCreatePage;
}());

//# sourceMappingURL=report-create.js.map

/***/ }),

/***/ 366:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return Report; });
var Report = /** @class */ (function () {
    function Report(fields) {
        // Quick and dirty extend/assign fields to this model
        for (var f in fields) {
            // @ts-ignore
            this[f] = fields[f];
        }
    }
    return Report;
}());

//# sourceMappingURL=report.js.map

/***/ })

});
//# sourceMappingURL=0.js.map