webpackJsonp([10],{

/***/ 344:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "MapPageModule", function() { return MapPageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1__ngx_translate_core__ = __webpack_require__(119);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2_ionic_angular__ = __webpack_require__(43);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__map__ = __webpack_require__(363);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};




var MapPageModule = /** @class */ (function () {
    function MapPageModule() {
    }
    MapPageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["I" /* NgModule */])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_3__map__["a" /* MapPage */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_2_ionic_angular__["f" /* IonicPageModule */].forChild(__WEBPACK_IMPORTED_MODULE_3__map__["a" /* MapPage */]),
                __WEBPACK_IMPORTED_MODULE_1__ngx_translate_core__["b" /* TranslateModule */].forChild()
            ],
            exports: [
                __WEBPACK_IMPORTED_MODULE_3__map__["a" /* MapPage */]
            ]
        })
    ], MapPageModule);
    return MapPageModule;
}());

//# sourceMappingURL=map.module.js.map

/***/ }),

/***/ 363:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return MapPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__station_popover_station_popover__ = __webpack_require__(227);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2_ionic_angular__ = __webpack_require__(43);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__line_list_popover_line_list_popover__ = __webpack_require__(225);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__providers_api_api__ = __webpack_require__(29);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};






var MapPage = /** @class */ (function () {
    function MapPage(navCtrl, popoverCtrl, toastCtrl, loadingCtrl, api) {
        var _this = this;
        this.navCtrl = navCtrl;
        this.popoverCtrl = popoverCtrl;
        this.toastCtrl = toastCtrl;
        this.loadingCtrl = loadingCtrl;
        this.api = api;
        this.startInfo = { id: 0, name: null };
        this.endInfo = { id: 0, name: null };
        this.currentRouteIndex = 0;
        this.currentRoutes = [];
        this.oldRoutes = [];
        this.popCallback = function (params) {
            return new Promise(function (resolve, reject) {
                _this.popover.dismiss();
                _this.map.showLine(params.id);
                var $select_obj = document.getElementById("g-select");
                _this.map.setFitView($select_obj);
                var center = _this.map.getSelectedLineCenter();
                _this.map.setCenter(center);
                resolve("ok");
            });
        };
        this.stationPopCallback = function (params) {
            return new Promise(function (resolve, reject) {
                _this.popover.dismiss();
                _this.clearRoute();
                if (params.action == "setStart") {
                    _this.map.stopAnimation();
                    _this.map.clearInfoWindow();
                    _this.map.setStart(params.station.id, {});
                    _this.startInfo = params.station;
                    _this.route();
                }
                else if (params.action == "setEnd") {
                    _this.map.stopAnimation();
                    _this.map.clearInfoWindow();
                    _this.map.setEnd(params.station.id, {});
                    _this.endInfo = params.station;
                    _this.route();
                }
                else if (params.action == "viewDetail") {
                    _this.navCtrl.push("StationPage", { station: params.station });
                }
                resolve("ok");
            });
        };
    }
    MapPage.prototype.ionViewDidLoad = function () {
        var _this = this;
        var interval = setInterval(function () {
            if (typeof subway != "undefined") {
                clearInterval(interval);
                _this.map = subway("mysubway", {
                    adcode: 4201,
                    theme: "colorful",
                    client: 0,
                    doubleclick: {
                        switch: true
                    }
                });
                _this.map.event.on("subway.complete", function () {
                    _this.map.getLineList(function (result) {
                        _this.lines = result;
                    });
                });
                _this.map.event.on("station.touch", function (event, info) {
                    var id = info.id;
                    _this.map.stopAnimation();
                    _this.presentStationPopover(event, info);
                    // this.map.addInfoWindow(id, {});
                    var center = _this.map.getStCenter(id);
                    _this.map.setCenter(center);
                    //   this.map.addMarker(id, {cnt: 'testtest'});
                });
                //点击线路名，高亮此线路
                _this.map.event.on("lineName.touch", function (ev, info) {
                    _this.map.showLine(info.id);
                    var $select_obj = document.getElementById("g-select");
                    _this.map.setFitView($select_obj);
                    var center = _this.map.getSelectedLineCenter();
                    _this.map.setCenter(center);
                });
                //点击空白, 关闭infowindow
                _this.map.event.on("subway.touch", function () {
                    _this.popover && _this.popover.dismiss();
                });
                // 路线规划事件
                _this.map.event.on("subway.routeComplete", function (ev, info) {
                    console.log(info);
                });
            }
        }, 1000);
    };
    //路线规划
    MapPage.prototype.route = function () {
        var _this = this;
        if (this.startInfo.id && this.endInfo.id) {
            this.loading = this.loadingCtrl.create({
                content: "正在规划路线..."
            });
            this.loading.present();
            // this.map.route(this.startInfo.id, this.endInfo.id, {});
            this.api
                .get("line/route", {
                start: this.startInfo.name,
                end: this.endInfo.name
            })
                .subscribe(function (response) {
                _this.loading.dismiss();
                _this.currentRouteIndex = 0;
                // this.startInfo = { id: 0, name: null };
                // this.endInfo = { id: 0, name: null };
                _this.currentRoutes = response;
                _this.drawRoute();
            });
        }
    };
    MapPage.prototype.clearRoute = function () {
        var _this = this;
        // 清除现有站
        for (var index = 0; index < this.currentRoutes.length; index++) {
            var stations = this.currentRoutes[index].passStations;
            stations.forEach(function (station) {
                _this.map.removeCustomNode(station.name);
            });
        }
    };
    MapPage.prototype.drawRoute = function () {
        var _this = this;
        this.clearRoute();
        var stations = this.currentRoutes[this.currentRouteIndex].passStations;
        if (!stations) {
            var toast = this.toastCtrl.create({
                message: "路线规划失败，请联系客服",
                duration: 3000,
                position: "top"
            });
            toast.present();
        }
        stations.forEach(function (station) {
            _this.map.addCustomNode(station.name, {
                type: "circle",
                r: 12,
                customClass: "custom_circle"
            });
        });
    };
    MapPage.prototype.segmentChanged = function ($event) {
        this.drawRoute();
    };
    MapPage.prototype.presentPopover = function (myEvent) {
        this.popover = this.popoverCtrl.create(__WEBPACK_IMPORTED_MODULE_3__line_list_popover_line_list_popover__["a" /* LineListPopoverPage */], {
            lines: this.lines,
            callback: this.popCallback
        });
        this.popover.present({
            ev: myEvent
        });
    };
    MapPage.prototype.presentStationPopover = function (myEvent, station) {
        this.popover = this.popoverCtrl.create(__WEBPACK_IMPORTED_MODULE_0__station_popover_station_popover__["a" /* StationPopoverPage */], {
            station: station,
            callback: this.stationPopCallback
        });
        this.popover.present();
    };
    __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_1__angular_core__["_8" /* ViewChild */])("map_container"),
        __metadata("design:type", __WEBPACK_IMPORTED_MODULE_1__angular_core__["t" /* ElementRef */])
    ], MapPage.prototype, "map_container", void 0);
    MapPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_1__angular_core__["m" /* Component */])({
            selector: "page-map",template:/*ion-inline-start:"/Users/lonestone/Documents/apps/subway/src/pages/map/map.html"*/'<ion-header>\n  <ion-navbar>\n    <ion-title>\n      武汉地铁无障碍出行图\n    </ion-title>\n    <ion-buttons end>\n      <button ion-button icon-start [navPush]="\'ReportCreatePage\'">\n        <ion-icon name="create"></ion-icon> 上报\n      </button>\n    </ion-buttons>\n  </ion-navbar>\n  <ion-toolbar no-border-top *ngIf="currentRoutes.length>1">\n    <ion-segment [(ngModel)]="currentRouteIndex" (ionChange)="segmentChanged($event)">\n      <ion-segment-button [value]="i" *ngFor="let station of currentRoutes; let i=index">\n        方案{{i+1}}（{{station.passStations.length}}站）\n      </ion-segment-button>\n    </ion-segment>\n  </ion-toolbar>\n</ion-header>\n\n<ion-content>\n  <!-- <img src="assets/icon/subway.png" class="switch-line" (click)="presentPopover($event)" /> -->\n</ion-content>\n<div id="mysubway" #map_container class="map_container"></div>\n'/*ion-inline-end:"/Users/lonestone/Documents/apps/subway/src/pages/map/map.html"*/
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_2_ionic_angular__["k" /* NavController */],
            __WEBPACK_IMPORTED_MODULE_2_ionic_angular__["n" /* PopoverController */],
            __WEBPACK_IMPORTED_MODULE_2_ionic_angular__["o" /* ToastController */],
            __WEBPACK_IMPORTED_MODULE_2_ionic_angular__["g" /* LoadingController */],
            __WEBPACK_IMPORTED_MODULE_4__providers_api_api__["a" /* Api */]])
    ], MapPage);
    return MapPage;
}());

//# sourceMappingURL=map.js.map

/***/ })

});
//# sourceMappingURL=10.js.map