webpackJsonp([5],{

/***/ 350:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "StationPageModule", function() { return StationPageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(43);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__station__ = __webpack_require__(370);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



var StationPageModule = /** @class */ (function () {
    function StationPageModule() {
    }
    StationPageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["I" /* NgModule */])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__station__["a" /* StationPage */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["f" /* IonicPageModule */].forChild(__WEBPACK_IMPORTED_MODULE_2__station__["a" /* StationPage */]),
            ],
        })
    ], StationPageModule);
    return StationPageModule;
}());

//# sourceMappingURL=station.module.js.map

/***/ }),

/***/ 370:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return StationPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__providers__ = __webpack_require__(58);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2_ionic_angular__ = __webpack_require__(43);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__ionic_native_photo_viewer__ = __webpack_require__(228);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};





/**
 * Generated class for the StationPage page.
 *
 * See https://ionicframework.com/docs/components/#navigation for more info on
 * Ionic pages and navigation.
 */
var StationPage = /** @class */ (function () {
    function StationPage(navCtrl, photoViewer, loadingCtrl, navParams, facilities, api) {
        var _this = this;
        this.navCtrl = navCtrl;
        this.photoViewer = photoViewer;
        this.loadingCtrl = loadingCtrl;
        this.navParams = navParams;
        this.facilities = facilities;
        this.api = api;
        this.category = 'outside';
        this.entrances = [];
        this.theFacilities = {};
        this.currentType = 'slift';
        this.station = this.navParams.data.station;
        this.baseUrl = this.api.baseUrl;
        this.loader = this.loadingCtrl.create({
            content: "正在加载",
        });
        this.loader.present();
        this.facilities.query({ 'per-page': 100, 'sort': 'entrance_name', 'FacilitiesSearch[station_id]': this.station.id }).subscribe(function (response) {
            _this.loader.dismiss();
            // for (let facility of response.items) {
            //   this.facilitiesInside.push(new Facility(facility));
            // }
            console.log(response.items);
            for (var _i = 0, _a = response.items; _i < _a.length; _i++) {
                var facility = _a[_i];
                if (facility.entrance) {
                    var entrance = {
                        id: facility.entrance.id,
                        name: facility.entrance.name,
                        info: facility.entrance.info,
                        facilities: [],
                        has_elift: false,
                        has_estair: false,
                        has_echute: false,
                        has_etoilet: false,
                    };
                    var find = false;
                    for (var _b = 0, _c = _this.entrances; _b < _c.length; _b++) {
                        var ent = _c[_b];
                        if (ent.id == entrance.id) {
                            find = true;
                            entrance = ent;
                            break;
                        }
                    }
                    if (facility.images.length > 0)
                        entrance.facilities.push(facility);
                    if (facility.type == 'elift') {
                        entrance.has_elift = true;
                    }
                    if (facility.type == 'estair') {
                        entrance.has_estair = true;
                    }
                    if (facility.type == 'echute') {
                        entrance.has_echute = true;
                    }
                    if (facility.type == 'etoilet') {
                        entrance.has_etoilet = true;
                    }
                    console.log(entrance);
                    if (!find) {
                        _this.entrances.push(entrance);
                    }
                }
            }
            _this.theFacilities = response.items.reduce(function (pre, current, index) {
                if (current.entrance_id > 0)
                    return pre;
                pre[current.type] = pre[current.type] || [];
                pre[current.type].push(current);
                return pre;
            }, {});
            console.log(_this.entrances);
            console.log(_this.theFacilities);
        }, function (error) {
            _this.loader.dismiss();
            console.log(error);
        });
    }
    StationPage.prototype.showFacilities = function (type) {
        this.currentType = type;
    };
    StationPage.prototype.ionViewDidLoad = function () {
        console.log('ionViewDidLoad StationPage');
    };
    StationPage.prototype.showImage = function (image, facility) {
        this.photoViewer.show(this.baseUrl + image, facility.type_name + '/' + facility.info, { share: true });
    };
    StationPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_1__angular_core__["m" /* Component */])({
            selector: 'page-station',template:/*ion-inline-start:"/Users/lonestone/Documents/apps/subway/src/pages/station/station.html"*/'<!--\n  Generated template for the StationPage page.\n\n  See http://ionicframework.com/docs/components/#navigation for more info on\n  Ionic pages and navigation.\n-->\n<ion-header>\n\n  <ion-navbar>\n    <ion-title>{{station.name}}</ion-title>\n    <ion-buttons end>\n      <button ion-button icon-start [navPush]="\'ReportCreatePage\'">\n        <ion-icon name="create"></ion-icon> 上报\n      </button>\n    </ion-buttons>\n  </ion-navbar>\n\n  <ion-toolbar no-border-top>\n    <ion-segment [(ngModel)]="category">\n      <ion-segment-button value="outside">\n        出口\n      </ion-segment-button>\n      <ion-segment-button value="inside">\n        站内\n      </ion-segment-button>\n    </ion-segment>\n  </ion-toolbar>\n</ion-header>\n\n<ion-content>\n  <div [ngSwitch]="category">\n    <div *ngSwitchCase="\'outside\'">\n      <div class="entrance" *ngFor="let entrance of entrances">\n        <h1 class="entrance-name">\n          {{entrance.name}}出口\n          <i class="iconfont icon-subway" *ngIf="entrance.has_elift">&#xe605;</i>\n          <i class="iconfont icon-subway" *ngIf="entrance.has_estair">&#xe76f;</i>\n          <i class="iconfont icon-subway" *ngIf="entrance.has_etoilet || entrance.has_elift">&#xe63b;</i>\n          <i class="iconfont icon-subway" *ngIf="entrance.has_etoilet">&#xe623;</i>\n        </h1>\n        <h2 class="entrance-info">{{entrance.info}}</h2>\n        <div class="entrance-image">\n          <ion-card *ngFor="let facility of entrance.facilities">\n            <ion-slides autoplay="3000" loop pager *ngIf="facility.thumbs.length >1">\n              <ion-slide (click)="showImage(image, facility)" *ngFor="let image of facility.images; let i = index">\n                  <img [src]="baseUrl + facility.thumbs[i]"/>\n              </ion-slide>\n            </ion-slides>\n            <img [src]="baseUrl + facility.thumbs[0]" (click)="showImage(facility.images[0], facility)"  *ngIf="facility.images.length ===1"/>\n            <ion-card-content>\n              <ion-card-title>{{facility.type_name}} </ion-card-title>\n              <p>{{facility.info}}</p>\n            </ion-card-content>\n          </ion-card>\n        </div>\n      </div>\n    </div>\n    <div *ngSwitchCase="\'inside\'">\n      <ion-grid class="facility-types">\n        <ion-row>\n          <ion-col col-4 style="padding-top:0;padding-left:0">\n              <ion-list>\n                <button ion-item (click)="showFacilities(\'slift\')">直梯</button>\n                <button ion-item (click)="showFacilities(\'sstair\')">扶梯</button>\n                <button ion-item (click)="showFacilities(\'swidegate\')">宽闸机/专用通道</button>\n                <button ion-item (click)="showFacilities(\'stoilet\')">卫生间</button>\n                <button ion-item (click)="showFacilities(\'hallmark\')">站厅标识</button>\n                <button ion-item (click)="showFacilities(\'stopmark\')">站台标识</button>\n                <button ion-item (click)="showFacilities(\'carriage\')">爱心专座</button>\n                <button ion-item (click)="showFacilities(\'carry\')">接驳服务</button>\n                <button ion-item (click)="showFacilities(\'transfer\')">换乘</button>\n                <button ion-item (click)="showFacilities(\'devicepic\')">布置图</button>\n              </ion-list>\n          </ion-col>\n          <ion-col col-8>\n              <ion-card *ngFor="let facility of theFacilities[currentType]">\n                <ion-slides autoplay="3000" loop pager *ngIf="facility.images.length >0">\n                  <ion-slide (click)="showImage(image, facility)" *ngFor="let image of facility.images; let i = index">\n                      <img [src]="baseUrl + facility.thumbs[i]"/>\n                  </ion-slide>\n                </ion-slides>\n                <ion-card-content>\n                    <ion-card-title>{{facility.type_name}} </ion-card-title>\n                    <p>{{facility.info}}</p>\n                </ion-card-content>\n              </ion-card>\n              <div *ngIf="!theFacilities[currentType] || theFacilities[currentType].length===0">暂无信息，欢迎提供</div>\n          </ion-col>\n        </ion-row>\n      </ion-grid>\n    </div>\n  </div>\n</ion-content>\n'/*ion-inline-end:"/Users/lonestone/Documents/apps/subway/src/pages/station/station.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_2_ionic_angular__["k" /* NavController */],
            __WEBPACK_IMPORTED_MODULE_3__ionic_native_photo_viewer__["a" /* PhotoViewer */],
            __WEBPACK_IMPORTED_MODULE_2_ionic_angular__["g" /* LoadingController */],
            __WEBPACK_IMPORTED_MODULE_2_ionic_angular__["l" /* NavParams */],
            __WEBPACK_IMPORTED_MODULE_0__providers__["b" /* Facilities */],
            __WEBPACK_IMPORTED_MODULE_0__providers__["a" /* Api */]])
    ], StationPage);
    return StationPage;
}());

//# sourceMappingURL=station.js.map

/***/ })

});
//# sourceMappingURL=5.js.map